Jump to content

takapa

Members
  • Posts

    27
  • Joined

  • Last visited

Posts posted by takapa

  1. Bonjour,

     

    Je m'auto répond après 3 jours de recherche et ayant testé énormément de choses.

    Mon problème ne venais absolument pas de prestashop mais bien d'OVH.

     

    Rendez vous sur votre FTP dans le dossier config/defines.php

     

    A la première ligne vous trouverez ceci :

    define('_PS_MODE_DEV_', false);

    Mettez la valeur à

    define('_PS_MODE_DEV_', true);

     

    Ensuite enregistrez, envoyer sur votre FTP et retournez sur votre admin.

    Essayez de réinstaller le module.

     

    Si comme vous vous avez ce message d'erreur : CREATE command denied to user 'ovh_prestashop'

    Cela veux dire que vous avez des problèmes de droit d'accès.

     

    Rendez vous dans votre espace OVH puis dans utilisateur regardez les droits. Vous devriez avoir droit administrateur, si vous avez comme moi lecture/ecriture modifié en administrateur.

    Enregistrez et patientez quelques minutes (le temps de faire chauffé un café)

     

    Remettez votre valeur à false dans le fichier defines.php

    Retournez sur votre admin prestashop et réessayez d'installer.

     

    Normalement y a plus aucun soucis vous pouvez réinstallez tous les modules que vous souhaitez.

     

    J'espère que ceci aidera certaines personnes qui galèrent comme moi.

  2. Bonjour,

     

    Pour la technique :

    Prestashop 1.6.1.7

    OVH mutualisé performance

    Thème de base

     

    Mon soucis c'est que sur cette installation récente, dès que j'install un module j'ai une erreur :

     

    "L'installation ne s'est pas faite correctement pour le(s) module(s) suivant(s) :"

     

    Impossible d'installer le module Ebay, j'essaie donc avec le module Colissimo simplifié et pareil.

    Pour tester j'ai installer le module Conformité européenne améliorée et j'ai toujours le même message d'erreur.

     

    Chose étrange sur les modules je peux cependant configurer à chaque fois mais visiblement tout n'est pas installé correctement. Exemple pour le module colissimo, je devrais avoir des transporteur de créer mais je n'ai rien.

    Quand j'essaie de reinitialisé y a une erreur également.

     

    Bref quelqu'un aurait une idée sur ce sujet ? Ca va être compliquer de créer une boutique si aucun module ne peux être installé. Pour ma part j'ai 2 piste de recherche : soit une autorisation d'écriture X ou Y sur OVH, soit un soucis avec prestashop 1.6.1.7

     

    Merci de votre aide

  3. A la lecture du premier post j'ai bavé !

    Ca fait je ne sais combien de temps que j'essaie de créer ce module, mes maigres connaissances en dev ne m'ont mener que vers une impasse. Et je tombe sur ce post !

     

    Évidement je me suis dépêché de télécharger le dit module et de l'installé. 

    Lorsque je vire la navigation à facette tout fonctionne pour le mieux sauf que l'image de loader prend environs la taille de l'écran et que ça fait moche, mais ça c'est modifiable je suppose.

    Par contre avec la navigation c'est la cata.

    Evidemment j'utilise la nav sur mon site, et difficile de s'en passé :'(

     

    En fait le loader se déclenche bel et bien mais au lieu de m'afficher le reste de la page il scroll au top et m’affiche la page n°2... Frustration 

     

    J'ai bien essayer ton fichier post 18 mais étant en 1.5.6 avec un blocklayered 1.8.9. Ça n'a pas l'air de fonctionné malheureusement (surement un blocklayered.js à modifié mais j'ai pas compris ta modif)

     

    Je te remercie, ton module à l'air super et visiblement il fonctionne chez les autres. Continue comme ça !

  4. En fait je ne voulais pas un export pour ré-import, mais un export spécifique de certaines partie de la fiche article (que ce module réalise très bien d'ailleurs). Mais j'ai besoin d'avoir le prix TTC et non HT. Je vais regarder dans le code voir si je peux ajouter une variable "taux taxe" modifiable.

     

     

    Edit : Ben non je suis idiot, y a déjà la donnée. Me faut juste ajouter un champ TTC qui calcul entre le HT et le taux :)

  5. Bonjour,

     

    Voila quelques jours que je cherche sans trouver la réponse. J'essaie donc ici voir si quelqu'un a une solution

     

    Le site en question :

     

    http://jereparemonbagage.com/

     

    Version : 1.4.6

    version du module : 1.8.9

     

    Au départ je n'avais absolument rien qui se passais quand je séléctionnais mondial relay, ensuite sur ce forum j'ai trouvé l'astuce d'ajouter le script "jquery.autocomplete.js" à mon thème.

    En effet, avec ce script dans le headers :

    <script type="text/javascript" src="/js/jquery/jquery.autocomplete.js"></script>

    J'ai enfin quelque chose qui se passe... mais pas bien loin.

    Maintenant en selectionnant mondial relay, j'ai une flèche qui tourne en rond sous mon module, mais rien de plus qui se passe.

     

    Quelqu'un aurais une piste ? C'est idiot d'avoir une possibilité d'un point relay sans pouvoir séléctionner celui ci.

     

    Cordialement,

     

    Takapa

  6. Bonjour,

     

    Je me permet une petit question puisque je suis presque sur que ce module remplirais mes besoins, mais dans le doute, autant poser la question.

     

    Ce que je cherche a faire :

     

    -De la viralité avec parrainage, facebook etc... donc si j'ai bien suivis (10 pages que je lis quand même :) ) le module fait le job

     

    -Cependant une autre partie requière toute mon attention : la fidélité

    Dans mon idée, un client rentre sous certaines conditions dans un groupe spécifique et en tant que membre de ce groupe, il deviens "client VIP". En tant que client VIP il a le droit a chaque commande a X% de réduction directement a la commande (je pense utilisé les règles de panier de presta 1.5 pour cela), mais le client a aussi le droit à x% sur sa prochaine commande (donc en pts fidélité).

     

    Est ce que allinone fait le job ou pas ? D'ailleurs est ce qu'allinone peut faire ma réduction directement sans jouer avec les règles panier ?

     

    Cordialement,

     

    Takapa

  7. bonjour,

     

    Tu créés une règle de panier.

     

    Dans l'onglet promotions > règles de paniers

     

    une fois la page chargée :

     

    dans le menu "condition" tu saisis 100 € dans le montant minimum et dans le menu "action" tu sélectionnes "frais de port gratuit"

     

    Tu saisis les champs nécessaires, en laissant vide ceux dont tu n'as pas besoin et le tour est joué

     

    personnellement quand je fais ca, il ne se passe absolument rien.

    Enfin si : c'est écris frais de port offert sauf qu'il sont ajouter tout de même. Une piste de recherche ?

  8. first of all : sorry for my english

    i had a little error by clicking the module on my administration :

    Parse error: syntax error, unexpected T_VARIABLE in /xxx/modules/minicslider/translations/fr.php on line 1

     

    By opening this file, it seem that you forgot a space between php and global

    Not a big bug, but if it could help ^^

  9. oh purée !!! quel est cette horreur ?

    je viens a peine d'installer le nouveau paypal avec ma version 1.5.2.0 et quel en fut ma surprise ?

    Cette iframe est totalement anti commerciale.

     

    Au minimum faire une option dans la configuration du module avec ou sans iframe

    J'essaie ton astuce farfounet de ce pas :)

    • Like 1
  10. personnellement je fais une sauvegarde complète (fichier + base) avant toute chose puis :

     

    - j'utilise cette astuce : http://www.prestasho...post__p__912841

     

    - je télécharge la version 1.5.17 que je dézippe dans le dossier admin/autoupgrade/latest/

    - Dans le back office lorsque je règle le module autoupgrade je vais dans le mode expert

    Je choisi répertoire local et j'entre la version du prestashop précédemment dézipper

     

    Je suis sur ovh et ca règlerais les problèmes liés à l'installation.

    C'est après que ca se corse puisque j'ai une erreur qui ne dois pas être lier a cette mise a jour.

    J'obtiens : Fatal error: Call to undefined method Shop::initialize() in /homez.378/xxx/config/config.inc.php on line 89

    Mais la mise a jour passe toute seule.

  11. ok donc ca fait 4 fois que je recommence la mise a jour et toujours la même chose.

    Tout va bien, j'accède a mon BO et mon front, je click n'importe ou et hop :

     

    Fatal error: Call to undefined method Shop::initialize() in /homez.378/xxx/config/config.inc.php on line 89

     

    Ca commence a devenir très agaçant. J'ai entendu parler d'un module paypal qui crée cette erreur sauf que je n'ai pas paypal dans les fichiers.

     

    Non franchement cette 1.5 c'est top !

    Ca fait un mois que je bosse pour accueillir la nouvelle version et quand je l'installe ça fonctionne que quelques secondes.

    snif :'(

  12. Tout d'abord merci pour ce post.

    En effet je me suis arraché les cheveux sur cette mise a jour en version préprod, et grâce à ce topic, j'ai eu la bonne surprise de voir mon prestashop passé du 1.4.8 au 1.5.17

    Quel bonheur !!

     

    Enfin bonheur oui, sauf qu'après environs 1 minutes de fonctionnement et après un refresh=> page blanche en front et back office.

    En affichant les message d'erreur (et de mémoire) j'ai eu le problème dans le fichier config ligne 89

    Call to undefined method Shop::initialize() in /homez.378/xxx/config/config.inc.php on line 89

    Je vous raconte pas mon client au téléphone, j'en ai entendu des noms d'oiseaux.

     

    Pourtant j'ai cherché le pourquoi pendant très longtemps mais devant les hurlements de mon client, j'ai fait un retour immédiatement en 1.4.8 avec une large déception.

    Aujourd'hui j'ai grand peur de recommencer l'opération...

     

    Quelqu'un aurais une idée avant que je réessaie ?

     

    Cordialement,

  13. Bonjour,

     

    J'espère que quelqu'un pourra m'aider parce que ça fait des semaines que je tourne en rond sur un problème qui devrais me sauter aux yeux mais honnêtement je trouve pas!

     

    L'url de mon site : http://whisky-rhum.com

     

    Absolument toute l'interface est en italique, même le footer qui est un module a la base. Je trouve pas le petit coin de CSS ou la fonction qui me pourri ainsi l'interface.

     

    J'ai éplucher tous les CSS, les différents modules qui pourrais me donner un tel résultat, mais sérieusement je trouve absolument rien, c'est désespérant de tourner en rond comme ça. J'ai régler pas mal de petit problème grace a la communauté et a mes recherches. Mais franchement ... j'en peux plus de cet italique partout :'(

     

    Merci de votre aide.

  14. Bonjour,

     

    J'essaie en vain de modifier ce magnifique thème. J'ai déjà apporté plusieurs modifications sans trop de soucis, cependant ça fait 2 jours que je m'arrache les cheveux sur la homepage.

    En effet, je voulais intégrer l'éditeur de page d’accueil sous le slide et à droite du menu mais quand j'intègre le code de l'éditeur presta, je me retrouve avec mon texte sous le slide (tout va bien jusque la) mais avec le menu gauche sous mon texte.

     

    Pourquoi ? alors la aucune idée, j'ai vérifié plusieurs fois mes insertions de code sans trouver pourquoi il me fait ça, si quelqu'un a une idée je suis preneur !

     

    Pour l'exemple ça fait comme le post d'oceanemix. Il / elle a trouvé la solution mais ne l'a pas donné, donc si vous savez je vous en serais reconnaissant.

     

    Cordialement,

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More